Import entries from LDIF

The LDIF spec is described by RFC2849 http://www.ietf.org/rfc/rfc2849.txt

package | phpLDAPadmin
subpackage | Import

### Methods

## LDAPimport()

    LDAPimport()

Inherited

inherited_from | \Import::LDAPimport()

## __construct()

    __construct($server_id)

Inherited

inherited_from | \Import::__construct()

### Parameters

#### $server_id

## accept()

    accept()

Inherited

inherited_from | \Import::accept()

## Returns true if we reached the end of the input.

    eof() : boolean

### Returns

`boolean`true if it's the end of file, false otherwise.

## Build the attributes for the entry when the change type is modrdn

    getModRDNAttributes($lines)

### Parameters

#### $lines

## getSource()

    getSource($attr)

Inherited

inherited_from | \Import::getSource()

### Parameters

#### $attr

## getType()

    getType()

## readEntry()

    readEntry()

## getServer()

    getServer()

## getTemplate()

    getTemplate()

## error()

    error($msg, $data)

### Parameters

#### $msg

#### $data

## Build the attributes array when the change type is add.

    getAddDetails($lines)

### Parameters

#### $lines

## Get the Attribute and Decoded Value

    getAttrValue($line)

### Parameters

#### $line

## Method to retrieve the attribute value of a ldif line, and get the base 64 decoded value if it is encoded

    getAttributeValue($value)

### Parameters

#### $value

## Build the attributes array for the entry when the change type is modify

    getModifyDetails($lines)

### Parameters

#### $lines

## Private method to check if there is more entries in the input.

    hasMoreEntries() : boolean

### Returns

`boolean`true if an entry was found, false otherwise.

## Check if is the current line is a blank line.

    isBlankLine() : boolean

### Returns

`boolean`if it is a blank line,false otherwise.

## Check if it's a comment line.

    isCommentLine() : boolean

### Returns

`boolean`true if it's a comment line,false otherwise

## Check if it's a wrapped line.

    isWrappedLine() : boolean

### Returns

`boolean`true if it's a wrapped line,false otherwise

## Helper method to switch to the next line

    nextLine()

## Get the lines of the next entry

    nextLines() : \The

### Returns

`\The`lines (unfolded) of the next entry

### Properties

## $error

    $error

## $input

    $input

Inherited

inherited_from | \Import::$$input

## $server_id

    $server_id

Inherited

inherited_from | \Import::$$server_id

## $source

    $source

Inherited

inherited_from | \Import::$$source

## $_currentLine

    $_currentLine

## $_currentLineNumber

    $_currentLineNumber

## $template

    $template